Name:		fet
Summary:	Free Timetabling Software
Version:	6.26.0
Release:	%mkrel 1
Group:		Education
License:	GPLv2+
URL:		https://lalescu.ro/liviu/fet
Source0:	https://lalescu.ro/liviu/fet/download/%{name}-%{version}.tar.bz2
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	qttools6

%description
FET is free timetabling software. This program aims to automatically
generate the timetable of a school, high-school or university.
It may be used for other timetabling purposes.

FET can mean "Free Educational Timetabling" (the "E" in the middle may
also stand for other words, based on your personal preference).

%prep
%autosetup -p1

rm -rf translations/*.qm

%build
# build translation files
%{_qt6_bindir}/lupdate %{name}.pro
pushd translations
%{_qt6_bindir}/lrelease *.ts
popd

%qmake_qt6 DEFINES+=USE_SYSTEM_LOCALE
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%{_docdir}/%{name}/
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/examples
%dir %{_datadir}/%{name}/translations
%{_datadir}/%{name}/translations/*.qm
%{_mandir}/man1/%{name}*.1*


%changelog
* Wed Oct 09 2024 daviddavid <daviddavid> 6.26.0-1.mga10
+ Revision: 2104183
- new version: 6.26.0 (Thanks to Aurelian R, mga#33624)
- switch to Qt6

* Sun Apr 03 2022 umeabot <umeabot> 5.37.5-4.mga9
+ Revision: 1841854
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 5.37.5-3.mga8
+ Revision: 1524587
- Mageia 8 Mass Rebuild

* Sat Mar 30 2019 umeabot <umeabot> 5.37.5-2.mga7
+ Revision: 1381670
- Qt5 Rebuild

* Sun Jan 13 2019 kekepower <kekepower> 5.37.5-1.mga7
+ Revision: 1356099
- Update to version 5.37.5

* Sun Sep 23 2018 umeabot <umeabot> 5.35.5-2.mga7
+ Revision: 1297683
- Mageia 7 Mass Rebuild

* Mon Mar 26 2018 kekepower <kekepower> 5.35.5-1.mga7
+ Revision: 1212660
- Update to version 5.35.5

* Sun Feb 14 2016 umeabot <umeabot> 5.28.2-2.mga6
+ Revision: 960059
- Mageia 6 Mass Rebuild

* Thu Nov 05 2015 alexl <alexl> 5.28.2-1.mga6
+ Revision: 898013
- version 5.28.2

* Wed Jul 01 2015 alexl <alexl> 5.27.3-1.mga6
+ Revision: 849319
- version 5.27.3

* Fri Nov 28 2014 alexl <alexl> 5.23.3-3.mga5
+ Revision: 799760
- used different Name and GenericName for ru (patch from new version)

* Wed Oct 15 2014 umeabot <umeabot> 5.23.3-2.mga5
+ Revision: 746501
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 alexl <alexl> 5.23.3-1.mga5
+ Revision: 733880
- new version 5.23.3
- deleted fet.xpm, because fet provides own icons now
- rewrote spec, because all things were included into upstream

* Fri Sep 19 2014 alexl <alexl> 5.23.0-4.mga5
+ Revision: 697388
- rebuilt with qt5

* Tue Sep 16 2014 umeabot <umeabot> 5.23.0-3.mga5
+ Revision: 679162
- Mageia 5 Mass Rebuild

* Fri Aug 01 2014 alexl <alexl> 5.23.0-2.mga5
+ Revision: 659130
- translated desktop file

* Sun Jul 20 2014 alexl <alexl> 5.23.0-1.mga5
+ Revision: 654845
- version 5.23.0

* Tue Apr 08 2014 alexl <alexl> 5.21.0-1.mga5
+ Revision: 612874
- imported package fet

